com.corticon.services.metadata.vocabulary

## Interface IVocabularyMetadata

-     public interface IVocabularyMetadata

  Interface IVocabularyMetadata provides methods to allow a Service Call-out to access Vocabulary Metadata information related the executing Decision Service. This is a light weight version of a IVocabularyModelAPI object.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getDatabaseDatasources()` Gets the list of datasources that are of type Database
    `IDatasourceMetadata` | `getDatasourceMetadata(java.lang.String astrDatasourceName)` Get a specific IDatasourceMetadata base on the Datasource Name (as defined in the vocabulary)
    `IEntityMetadata` | `getEntityMetadataFromDatabaseTableName(java.lang.String astrTableName, java.lang.String astrMappingID)` Get a specific IEntityMetadata based on the Entity's fully qualified 'Table Name', which may include Schema or Catalog names.
    `IEntityMetadata` | `getEntityMetadataFromEntityName(java.lang.String astrEntityName)` Get a specific IEntityMetadata based on the Entity's 'Name'.
    `IEntityMetadata` | `getEntityMetadataFromXmlElementName(java.lang.String astrXmlElementName)` Get a specific IEntityMetadata based on the Entity's 'Xml Element Name'.
    `java.util.Collection<IEntityMetadata>` | `getEntityMetadatas()` Get a Collection of all IEntityMetadata instances for the given Vocabulary.
    `java.util.List<java.lang.String>` | `getRestDatasources()` Gets the list of datasources that are of type Rest

- - ### Method Detail

    - #### getEntityMetadatas

          java.util.Collection<IEntityMetadata> getEntityMetadatas()

      Get a Collection of all IEntityMetadata instances for the given Vocabulary.
      Returns:
        A Collection of IEntityMetadata instances

    - #### getEntityMetadataFromEntityName

          IEntityMetadata getEntityMetadataFromEntityName(java.lang.String astrEntityName)

      Get a specific IEntityMetadata based on the Entity's 'Name'.
      Parameters:
        `astrEntityName` - - The Entity 'Name'
      Returns:
        A IEntityMetadata instances

    - #### getEntityMetadataFromXmlElementName

          IEntityMetadata getEntityMetadataFromXmlElementName(java.lang.String astrXmlElementName)

      Get a specific IEntityMetadata based on the Entity's 'Xml Element Name'.
      Parameters:
        `astrXmlElementName` - - The fully qualified 'Xml Element Name' value for a particular IEntityMetadata instance, which may contain a 'Xml Namespace', value, if specified for the Entity.
      Returns:
        A IEntityMetadata instances

    - #### getEntityMetadataFromDatabaseTableName

          IEntityMetadata getEntityMetadataFromDatabaseTableName(java.lang.String astrTableName,
                                                                 java.lang.String astrMappingID)

      Get a specific IEntityMetadata based on the Entity's fully qualified 'Table Name', which may include Schema or Catalog names.
      Parameters:
        `astrTableName` - - The fully qualified 'Table Name' value for a particular IEntityMetadata instance, which may include Schema or Catalog names
      Returns:
        A IEntityMetadata instances

    - #### getDatasourceMetadata

          IDatasourceMetadata getDatasourceMetadata(java.lang.String astrDatasourceName)

      Get a specific IDatasourceMetadata base on the Datasource Name (as defined in the vocabulary)
      Parameters:
        `astrDatasourceName` -
      Returns:
        The IDatasourceMetadata associated with the input name or null if vocabulary has no datasource with input name

    - #### getDatabaseDatasources

          java.util.List<java.lang.String> getDatabaseDatasources()

      Gets the list of datasources that are of type Database
      Returns:
        List of datasource names

    - #### getRestDatasources

          java.util.List<java.lang.String> getRestDatasources()

      Gets the list of datasources that are of type Rest
      Returns:
        List of datasource names

Copyright © 2005-2022 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.